Subject: Re: [PATCH net-next 1/2] vxlan: don't flush static fdb entries on admin down

From: Roopa Prabhu <[email-masked]>
Date: Mon, 23 Jan 2017 08:31:26 -0800

On 1/23/17, 12:55 AM, Jiri Benc wrote:
> On Fri, 20 Jan 2017 23:43:18 -0800, Roopa Prabhu wrote:
>> This patch skips flushing static fdb entries in
>> ndo_stop, but flushes all fdb entries during vxlan
>> device delete. This is consistent with the bridge
>> driver fdb
> This makes sense but isn't this a uAPI change? Do you know whether
> there are users relying on the current behavior?
>
yeah, i have debated about this also. I am sitting on a stash of such patches
which are borderline bug fixes but been out there long enough that people might care.

I leaned towards making it the default because,
- I am assuming not many people use static entries
- and people will not be very unhappy with this change....because it does not delete something
 they had...just retains them.
- Per device flag seems like an overkill here

Also, i think some such changes were done to the bridge driver too after it was out.